GMTIME(3)

NAME
gmtime, gmtime_r - convert time to UTC traditional form

SYNOPSIS

#include <time.h>

struct tm *gmtime(const time_t *<[clock]>);

struct tm *gmtime_r(const time_t *<[clock]>, struct tm *<[res]>);

DESCRIPTION

gmtime takes the time at clock representing the number of elapsed seconds since 00:00:00 on January 1, 1970, Universal Coordinated Time (UTC, also known in some countries as GMT, Greenwich Mean time) and converts it to a struct tm representation.

gmtime constructs the traditional time representation in static storage; each call to gmtime or localtime will overwrite the information generated by previous calls to either function.

RETURNS

A pointer to the traditional time representation (struct tm).

PORTABILITY

ANSI C requires gmtime.

gmtime requires no supporting OS subroutines.